extdesc="the Subversion extension"

full_setup=`pwd`/${BASH_SOURCE}
fulldir=${full_setup%/*}
fulldir=${fulldir%/.}

if [ "x$GSDLHOME" = "x" ] ; then
  if [ -e ../../setup.bash ] ; then
    export gsopt_noexts=1 && pushd ../.. && source ./setup.bash && popd
    export gsopt_noexts=
  elif [ -e ../../gs3-setup.sh ] ; then
    export gsopt_noexts=1 && pushd ../.. && source ./gs3-setup.sh && popd
    export gsopt_noexts=
  fi
fi

# Back up plan
if test -z $GSDLOS ; then
  GSDLOS=`uname -s | tr '[A-Z]' '[a-z]'`
  # check for running bash under Cygwin
  if test "`echo $GSDLOS | sed 's/cygwin//'`" != "$GSDLOS" ;
  then
    GSDLOS=windows
  fi
  # check for running bash under MinGW/MSys
  if test "`echo $GSDLOS | sed 's/mingw//'`" != "$GSDLOS" ;
  then
    GSDLOS=windows
  fi
  echo "GSDLOS was not set.  Setting it to '$GSDLOS'"
  export GSDLOS
fi


if [ "x$GEXTSVN" = "x" ] ; then
  export GEXTSVN=$fulldir
  export GEXTSVN_INSTALLED=$GEXTSVN/$GSDLOS

  export PATH=$GEXTSVN_INSTALLED/bin:$PATH

  if [ "x$LD_LIBRARY_PATH" = "x" ] ; then
    export LD_LIBRARY_PATH=$GEXTSVN_INSTALLED/lib
  else
    export LD_LIBRARY_PATH=$GEXTSVN_INSTALLED/lib:$LD_LIBRARY_PATH
  fi
  if [ "x$DYLD_LIBRARY_PATH" = "x" ] ; then
    export DYLD_LIBRARY_PATH=$GEXTSVN_INSTALLED/lib
  else
    export DYLD_LIBRARY_PATH=$GEXTSVN_INSTALLED/lib:$DYLD_LIBRARY_PATH
  fi

  extdir=${GEXTSVN##*/}

  if [ "x$GSDLEXTS" = "x" ] ; then
    export GSDLEXTS=$extdir
  else 
    export GSDLEXTS=$GSDLEXTS:$extdir
  fi


  echo "+Your environment is now setup for $extdesc"
else
  echo "+Your environment is already setup for $extdesc"
fi